#!/bin/sh
# Set up sample database for PostgreSQL
# The current user must have permission to create databases

createdb gnue
psql gnue << EOF
create table appserver_users 
( 
  username varchar (20),
  password varchar (20),
  tablelist text
);
insert into appserver_users values ('test','test','person,state');
insert into appserver_users values ('hacker','secret','person');

create table appserver_pytrigger 
(
   name varchar(30),
   event varchar(30),
   code text
);

insert into appserver_pytrigger values ('testtrigger1',
'person:pre_new_list', 'print "TestTrigger 1 ausgefuehrt"');

insert into appserver_pytrigger values ('testtrigger2',
'person:pre_first_inst', 'print "TestTrigger 2 ausgefuehrt"');

insert into appserver_pytrigger values ('person:checkAreaRichness',
'person:checkAreaRichness','print "standard"');

create table person
(
  name varchar (35),
  street varchar (35),
  zip varchar (17),
  city varchar (35)
);
insert into person (name, street, zip, city)
  values ('James T. Kirk', 'Enterprise Road 17', '2002', 'Gnutown')
EOF
